Subject: bug#57201: 29.0.50; Input method doesn't work in Term char mode

From: Akib Azmain Turja <[email-masked]>
Date: Sun, 14 Aug 2022 21:01:30 +0600

Phil Sainty <[email-masked]> writes:

> On 2022-08-14 20:33, Akib Azmain Turja wrote:
>> In Term, input method doesn't work in char mode.
>
> I don't think it's expected to work?
>
> The purpose of char mode is to immediately send each keystroke
> to the inferior process, and then let the process provide updates
> to the buffer.
>
> Input methods rely on keystrokes being intercepted and combined,
> so I suspect the two things are incompatible.
>
>

I don't think so.  How can you input characters not on the keyboard in
Term char mode then?  And if it's really expected, please add an user
option to configure it.

-- 
Akib Azmain Turja

Find me on Mastodon at @[email-masked].

This message is signed by me with my GnuPG key.  Its fingerprint is:

    7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5